PDA

View Full Version : SLES 11 SP4 How to update to PHP 5.6 or higher?



mohamednadjibmami
10-Jul-2017, 10:49
Hello everyone,

My beginner level in SUSE as well as the lack of online resource, just made the update operation so frustrating and yet not successful.
It would be really nice if someone could provide clear hints/instructions on how to make the update to PHP minimum version 5.6 once for all.
I've made many attempts, but had to roll back to 5.3 at the end: the original and current version.

Thanks in advance,
Mohamed

thsundel
10-Jul-2017, 12:21
Hello everyone,

My beginner level in SUSE as well as the lack of online resource, just made the update operation so frustrating and yet not successful.
It would be really nice if someone could provide clear hints/instructions on how to make the update to PHP minimum version 5.6 once for all.
I've made many attempts, but had to roll back to 5.3 at the end: the original and current version.

Thanks in advance,
Mohamed

Why not upgrade to SLE12SP2 contains php7?

Thomas

mohamednadjibmami
10-Jul-2017, 16:55
Why not upgrade to SLE12SP2 contains php7?

Thomas

Thanks for your answer.

Searched that a bit, seems to be a heavy way to go :(
Isn't there really no way to upgrade only PHP?

thsundel
11-Jul-2017, 07:35
Thanks for your answer.

Searched that a bit, seems to be a heavy way to go :(
Isn't there really no way to upgrade only PHP?

It's really not "heavy", you'd be done in ~20 minutes. Just download SLES12SP2 dvd media and boot from it and select upgrade option.

There is an unofficial php7 package för SLE11SP4: https://software.opensuse.org/package/php7 but if you install that you will end up with an unsupported OS and additional problems is my guess.

Thomas